use std::error::Error;

use log::LevelFilter;
use simplelog::{ColorChoice, Config, TermLogger, TerminalMode};

pub mod font;
pub mod writer;

pub use font::Font;
pub use writer::JsonWriter;

pub fn init() -> Result<(), Box<dyn Error>> {
    TermLogger::init(
        LevelFilter::Debug,
        Config::default(),
        TerminalMode::Mixed,
        ColorChoice::Auto
    )?;

	Ok(())
}
